onEvent('recipes', event => {

  event.replaceInput({}, '#forge:ingots/steel', 'mekanism:ingot_steel')
  event.replaceOutput({}, '#forge:ingots/steel', 'mekanism:ingot_steel')

  event.replaceInput({}, '#forge:ingots/copper', 'mekanism:ingot_copper')
  event.replaceOutput({}, '#forge:ingots/copper', 'mekanism:ingot_copper')

  
  event.replaceInput({}, '#forge:ingots/tin', 'mekanism:ingot_tin')
  event.replaceOutput({}, '#forge:ingots/tin', 'mekanism:ingot_tin')

  event.replaceInput({}, '#forge:ingots/lead', 'mekanism:ingot_lead')
  event.replaceOutput({}, '#forge:ingots/lead', 'mekanism:ingot_lead')

  event.replaceInput({}, '#forge:ingots/uranium', 'mekanism:ingot_uranium')
  event.replaceOutput({}, '#forge:ingots/uranium', 'mekanism:ingot_uranium')

  event.replaceInput({}, '#forge:ingots/nickel', 'thermal:nickel_ingot')
  event.replaceOutput({}, '#forge:ingots/nickel', 'thermal:nickel_ingot')

  event.replaceInput({}, '#forge:ingots/silver', 'thermal:silver_ingot')
  event.replaceOutput({}, '#forge:ingots/silver', 'thermal:silver_ingot')

  event.replaceInput({}, '#forge:ingots/bronze', 'mekanism:ingot_bronze')
  event.replaceOutput({}, '#forge:ingots/bronze', 'mekanism:ingot_bronze')

  event.replaceInput({}, '#forge:ingots/electrum', 'thermal:electrum_ingot')
  event.replaceOutput({}, '#forge:ingots/electrum', 'thermal:electrum_ingot')

  event.replaceInput({}, '#forge:ingots/constantan', 'thermal:constantan_ingot')
  event.replaceOutput({}, '#forge:ingots/constantan', 'thermal:constantan_ingot')

  event.replaceInput({}, '#forge:storage_blocks/steel', 'mekanism:block_steel')
  event.replaceOutput({}, '#forge:storage_blocks/steel', 'mekanism:block_steel')

  event.replaceInput({}, '#forge:storage_blocks/uranium', 'mekanism:block_uranium')
  event.replaceOutput({}, '#forge:storage_blocks/uranium', 'mekanism:block_uranium')

  event.replaceInput({}, '#forge:circuits/basic', 'mekanism:basic_control_circuit')
  event.replaceOutput({}, '#forge:circuits/basic', 'mekanism:basic_control_circuit')

  event.replaceInput({}, '#forge:circuits/advanced', 'mekanism:advanced_control_circuit')
  event.replaceOutput({}, '#forge:circuits/advanced', 'mekanism:advanced_control_circuit')

  event.replaceInput({}, '#forge:workbenches', 'tconstruct:crafting_station')
  event.replaceOutput({}, '#forge:workbenches', 'tconstruct:crafting_station')

  event.replaceInput({}, '#forge:ingots/constantan', 'thermal:constantan_ingot')
  event.replaceOutput({}, '#forge:ingots/constantan', 'thermal:constantan_ingot')

  event.replaceInput({}, '#forge:ingots/aluminum', 'immersiveengineering:ingot_aluminum')
  event.replaceOutput({}, '#forge:ingots/aluminum', 'immersiveengineering:ingot_aluminum')

  event.replaceInput({}, 'compressium:netherrack_1', 'excompressum:compressed_netherrack')
  event.replaceOutput({}, 'compressium:netherrack_1', 'excompressum:compressed_netherrack')

  event.replaceInput({}, '#forge:storage_blocks/coal_coke', 'immersiveengineering:coke')
  event.replaceOutput({}, '#forge:storage_blocks/coal_coke', 'immersiveengineering:coke')

  event.replaceInput({}, '#forge:coal_coke', 'immersiveengineering:coal_coke')
  event.replaceOutput({}, '#forge:coal_coke', 'immersiveengineering:coal_coke')

  event.replaceInput({}, '#forge:dusts/iron', 'mekanism:dust_iron')
  event.replaceOutput({}, '#forge:dusts/iron', 'mekanism:dust_iron')

  event.replaceInput({}, 'minecraft:hopper', 'pneumaticcraft:omnidirectional_hopper')
  event.replaceOutput({}, 'minecraft:hopper', 'pneumaticcraft:omnidirectional_hopper')

  event.replaceInput({}, 'excompressum:compressed_cobblestone', 'compressium:cobblestone_1')
  event.replaceOutput({}, 'excompressum:compressed_cobblestone', 'compressium:cobblestone_1')

  event.replaceInput({}, 'excompressum:compressed_gravel', 'compressium:gravel_1')
  event.replaceOutput({}, 'excompressum:compressed_gravel', 'compressium:gravel_1')

  event.replaceInput({}, 'excompressum:compressed_sand', 'compressium:sand_1')
  event.replaceOutput({}, 'excompressum:compressed_sand', 'compressium:sand_1')
})